--[[ 
These are temporarily using Minetest Game assets for the time being.

Stone
-----
(1. Material 2. Cobble variant 3. Brick variant 4. Modified forms)

default:stone
default:cobble
default:stonebrick
default:stone_block
default:mossycobble

default:desert_stone
default:desert_cobble
default:desert_stonebrick
default:desert_stone_block

default:sandstone
default:sandstonebrick
default:sandstone_block
default:desert_sandstone
default:desert_sandstone_brick
default:desert_sandstone_block
default:silver_sandstone
default:silver_sandstone_brick
default:silver_sandstone_block

default:obsidian
default:obsidianbrick
default:obsidian_block

Soft / Non-Stone
----------------
(1. Material 2. Modified forms)

default:dirt
default:dirt_with_grass
default:dirt_with_grass_footsteps
default:dirt_with_dry_grass
default:dirt_with_snow
default:dirt_with_rainforest_litter
default:dirt_with_coniferous_litter
default:dry_dirt
default:dry_dirt_with_dry_grass

default:permafrost
default:permafrost_with_stones
default:permafrost_with_moss

default:sand
default:desert_sand
default:silver_sand

default:gravel

default:clay

default:snow
default:snowblock
default:ice
default:cave_ice
]] --

-- Bedrock
core.register_node("vox_core:bedrock", {
    description = "Bedrock",
    tiles = {"default_bedrock.png"},
    groups = {cracky = 1}
})
core.register_alias("bedrock", "vox_core:bedrock")
core.register_alias("default:bedrock", "vox_core:bedrock")

-- Dirt
core.register_node("vox_core:dirt", {
    description = "Dirt",
    tiles = {"vox_dirt.png"},
	groups = {crumbly = 3, soil = 1},
	--sounds = node_sound_dirt_defaults(),
})
core.register_alias("dirt", "vox_core:dirt")
core.register_alias("default:dirt", "vox_core:dirt")

-- Dirt with Grass
core.register_node("vox_core:dirt_with_grass", {
	description = "Dirt with Grass",
	tiles = {"default_grass.png", "vox_dirt.png",
		{name = "vox_dirt.png^default_grass_side.png",
			tileable_vertical = false}},
	groups = {crumbly = 3, soil = 1, spreading_dirt_type = 1},
	drop = "vox_core:dirt",
	--sounds = vox_core.node_sound_dirt_defaults({
	--	footstep = {name = "default_grass_footstep", gain = 0.25},
	--}),
})

core.register_node("vox_core:dirt_with_grass_footsteps", {
	description = "Dirt with Grass and Footsteps",
	tiles = {"default_grass.png^default_footprint.png", "vox_dirt.png",
		{name = "vox_dirt.png^default_grass_side.png",
			tileable_vertical = false}},
	groups = {crumbly = 3, soil = 1, not_in_creative_inventory = 1},
	drop = "vox_core:dirt",
	--sounds = vox_core.node_sound_dirt_defaults({
	--	footstep = {name = "default_grass_footstep", gain = 0.25},
	--}),
})

core.register_node("vox_core:dirt_with_dry_grass", {
	description = "Dirt with Savanna Grass",
	tiles = {"default_dry_grass.png",
		"vox_dirt.png",
		{name = "vox_dirt.png^default_dry_grass_side.png",
			tileable_vertical = false}},
	groups = {crumbly = 3, soil = 1, spreading_dirt_type = 1},
	drop = "vox_core:dirt",
	--sounds = vox_core.node_sound_dirt_defaults({
	--	footstep = {name = "default_grass_footstep", gain = 0.4},
	--}),
})

core.register_node("vox_core:dirt_with_snow", {
	description = "Dirt with Snow",
	tiles = {"default_snow.png", "vox_dirt.png",
		{name = "vox_dirt.png^default_snow_side.png",
			tileable_vertical = false}},
	groups = {crumbly = 3, soil = 1, spreading_dirt_type = 1, snowy = 1},
	drop = "vox_core:dirt",
	--sounds = vox_core.node_sound_dirt_defaults({
	--	footstep = {name = "default_snow_footstep", gain = 0.2},
	--}),
})

core.register_node("vox_core:dirt_with_rainforest_litter", {
	description = "Dirt with Rainforest Litter",
	tiles = {
		"default_rainforest_litter.png",
		"vox_dirt.png",
		{name = "vox_dirt.png^default_rainforest_litter_side.png",
			tileable_vertical = false}
	},
	groups = {crumbly = 3, soil = 1, spreading_dirt_type = 1},
	drop = "vox_core:dirt",
	--sounds = vox_core.node_sound_dirt_defaults({
	--	footstep = {name = "default_grass_footstep", gain = 0.4},
	--}),
})

core.register_node("vox_core:dirt_with_coniferous_litter", {
	description = "Dirt with Coniferous Litter",
	tiles = {
		"default_coniferous_litter.png",
		"vox_dirt.png",
		{name = "vox_dirt.png^default_coniferous_litter_side.png",
			tileable_vertical = false}
	},
	groups = {crumbly = 3, soil = 1, spreading_dirt_type = 1},
	drop = "vox_core:dirt",
	--sounds = vox_core.node_sound_dirt_defaults({
	--	footstep = {name = "default_grass_footstep", gain = 0.4},
	--}),
})

core.register_node("vox_core:dry_dirt", {
	description = "Savanna Dirt",
	tiles = {"default_dry_dirt.png"},
	groups = {crumbly = 3, soil = 1},
	--sounds = vox_core.node_sound_dirt_defaults(),
})

core.register_node("vox_core:dry_dirt_with_dry_grass", {
	description = "Savanna Dirt with Savanna Grass",
	tiles = {"default_dry_grass.png", "default_dry_dirt.png",
		{name = "default_dry_dirt.png^default_dry_grass_side.png",
			tileable_vertical = false}},
	groups = {crumbly = 3, soil = 1},
	drop = "vox_core:dry_dirt",
	--sounds = vox_core.node_sound_dirt_defaults({
	--	footstep = {name = "default_grass_footstep", gain = 0.4},
	--}),
})

-- Snow
core.register_node("vox_core:snow", {
    description = "Snow",
    tiles = {"default_snow.png"},
    groups = {crumbly = 3}
})
core.register_alias("snow", "vox_core:snow")
core.register_alias("default:snow", "vox_core:snow")

-- Packed Snow
core.register_node("vox_core:packed_snow", {
    description = "Packed Snow",
    tiles = {"vox_packed_snow.png"},
    groups = {crumbly = 2}
})
core.register_alias("packed_snow", "vox_core:packed_snow")

-- Ice
core.register_node("vox_core:ice", {
    description = "Ice",
    tiles = {"default_ice.png"},
    groups = {crumbly = 3}
})
core.register_alias("ice", "vox_core:ice")
core.register_alias("default:ice", "vox_core:ice")

-- Permafrost
core.register_node("vox_core:permafrost", {
    description = "Permafrost",
    tiles = {"vox_permafrost.png"},
	groups = {cracky = 3},
	--sounds = vox_core.node_sound_dirt_defaults(),
})
core.register_alias("permafrost", "vox_core:permafrost")

-- Stone
core.register_node("vox_core:stone", {
    description = "Stone",
    tiles = {"default_stone.png"},
	groups = {cracky = 3, stone = 1},
	drop = "vox_core:cobble",
	legacy_mineral = true,
	--sounds = vox_core.node_sound_stone_defaults(),
})
core.register_alias("stone", "vox_core:stone")
core.register_alias("mapgen_stone", "vox_core:stone")
-- core.register_alias("default:stone", "vox_core:stone")

-- Cobblestone
core.register_node("vox_core:cobblestone", {
    description = "Cobblestone",
    tiles = {"default_cobble.png"},
	is_ground_content = false,
	groups = {cracky = 3, stone = 2},
	--sounds = vox_core.node_sound_stone_defaults(),
})
core.register_alias("cobblestone", "vox_core:cobblestone")
core.register_alias("default:cobble", "vox_core:cobblestone")

-- Mossy Cobble
core.register_node("vox_core:mossycobble", {
    description = "Mossy Cobble",
    tiles = {"default_mossycobble.png"},
	is_ground_content = false,
	groups = {cracky = 3, stone = 1},
	--sounds = vox_core.node_sound_stone_defaults(),
})
core.register_alias("mossycobble", "vox_core:mossycobble")
core.register_alias("default:mossycobble", "vox_core:mossycobble")

-- Stone Block
core.register_node("vox_core:stone_block", {
    description = "Stone Block",
    tiles = {"default_stone_block.png"},
    groups = {cracky = 2, stone = 1},
    --sounds = vox_core.node_sound_stone_defaults(),
})
core.register_alias("stone_block", "vox_core:stone_block")
core.register_alias("default:stone_block", "vox_core:stone_block")

-- Stone Brick
core.register_node("vox_core:stone_brick", {
    description = "Stone Brick",
    tiles = {"default_stone_brick.png"},
    groups = {cracky = 2, stone = 1},
    --sounds = vox_core.node_sound_stone_defaults(),
})
core.register_alias("stone_brick", "vox_core:stone_brick")
core.register_alias("default:stonebrick", "vox_core:stone_brick")

-- Bluestone
core.register_node("vox_core:bluestone", {
    description = "Bluestone",
    tiles = {"vox_bluestone.png"},
    groups = {cracky = 2}
})
core.register_alias("bluestone", "vox_core:bluestone")

-- Sand
-- (I don't like sand. It's coarse and rough and irritating and it gets everywhere.)
core.register_node("vox_core:sand", {
    description = "Sand",
    tiles = {"default_sand.png"},
	groups = {crumbly = 3, falling_node = 1, sand = 1},
	--sounds = vox_core.node_sound_sand_defaults(),
})
core.register_alias("sand", "vox_core:sand")
core.register_alias("default:sand", "vox_core:sand")

-- Desert Stone
core.register_node("vox_core:desert_stone", {
    description = "Desert Stone",
    tiles = {"default_desert_stone.png"},
    groups = {cracky = 2}
})
core.register_alias("desert_stone", "vox_core:desert_stone")
core.register_alias("default:desert_stone", "vox_core:desert_stone")

-- Desert Sand
core.register_node("vox_core:desert_sand", {
    description = "Desert Sand",
    tiles = {"default_desert_sand.png"},
    groups = {crumbly = 3}
})
core.register_alias("desert_sand", "vox_core:desert_sand")
core.register_alias("default:desert_sand", "vox_core:desert_sand")

-- Sulfur Crust
core.register_node("vox_core:sulfur_crust", {
    description = "Sulfur Crust",
    tiles = {"vox_sulfur_crust.png"},
    groups = {crumbly = 3}
})
core.register_alias("sulfur_crust", "vox_core:sulfur_crust")

-- Ash
core.register_node("vox_core:ash_block", {
    description = "Ash Block",
    tiles = {"vox_ash_block.png"},
    groups = {crumbly = 3},
    drop = "vox_mats:ash", -- Drops ash when broken
})

-- Gravel
core.register_node("vox_core:gravel", {
    description = "Gravel",
    tiles = {"default_gravel.png"},
	groups = {crumbly = 2, falling_node = 1},
	--sounds = vox_core.node_sound_gravel_defaults(),
	drop = {
		max_items = 1,
		items = {
			{items = {"vox:main:flint"}, rarity = 16},
			{items = {"vox:main:gravel"}}
		}
	}
})
core.register_alias("gravel", "vox_core:gravel")
core.register_alias("default:gravel", "vox_core:gravel")

-- Sandstone
core.register_node("vox_core:sandstone", {
    description = "Sandstone",
    tiles = {"vox_sandstone.png"},
	groups = {crumbly = 1, cracky = 3},
	--sounds = vox_core.node_sound_stone_defaults(),
})
core.register_alias("sandstone", "vox_core:sandstone")
core.register_alias("default:sandstone", "vox_core:sandstone")

-- Sandstone Brick
core.register_node("vox_core:sandstone_brick", {
    description = "Sandstone Brick",
	paramtype2 = "facedir",
	place_param2 = 0,
	tiles = {"default_sandstone_brick.png"},
	is_ground_content = false,
	groups = {cracky = 2},
	--sounds = vox_core.node_sound_stone_defaults(),
})
core.register_alias("sandstone_brick", "vox_core:sandstone_brick")
core.register_alias("default:sandstonebrick", "vox_core:sandstone_brick")

-- Sandstone Block
core.register_node("vox_core:sandstone_block", {
    description = "Sandstone Block",
    tiles = {"default_sandstone_block.png"},
	is_ground_content = false,
	groups = {cracky = 2},
	--sounds = vox_core.node_sound_stone_defaults(),
})
core.register_alias("sandstone_block", "vox_core:sandstone_block")
core.register_alias("default:sandstone_block", "vox_core:sandstone_block")

-- Desert Sandstone
core.register_node("vox_core:desert_sandstone", {
    description = "Desert Sandstone",
    tiles = {"default_desert_sandstone.png"},
	groups = {crumbly = 1, cracky = 3},
	--sounds = vox_core.node_sound_stone_defaults(),
})
core.register_alias("desert_sandstone", "vox_core:desert_sandstone")
core.register_alias("default:desert_sandstone", "vox_core:desert_sandstone")

-- Desert Sandstone Brick
core.register_node("vox_core:desert_sandstone_brick", {
    description = "Desert Sandstone Brick",
	paramtype2 = "facedir",
	place_param2 = 0,
	tiles = {"default_desert_sandstone_brick.png"},
	is_ground_content = false,
	groups = {cracky = 2},
	--sounds = vox_core.node_sound_stone_defaults(),
})
core.register_alias("desert_sandstone_brick", "vox_core:desert_sandstone_brick")
core.register_alias("default:desert_sandstone_brick", "vox_core:desert_sandstone_brick")

-- Desert Sandstone Block
core.register_node("vox_core:desert_sandstone_block", {
    description = "Desert Sandstone Block",
    tiles = {"default_desert_sandstone_block.png"},
	is_ground_content = false,
	groups = {cracky = 2},
	--sounds = vox_core.node_sound_stone_defaults(),
})
core.register_alias("desert_sandstone_block", "vox_core:desert_sandstone_block")
core.register_alias("default:desert_sandstone_block", "vox_core:desert_sandstone_block")

-- Silver Sandstone
core.register_node("vox_core:silver_sandstone", {
    description = "Silver Sandstone",
    tiles = {"default_silver_sandstone.png"},
	groups = {crumbly = 1, cracky = 3},
	--sounds = vox_core.node_sound_stone_defaults(),
})
core.register_alias("silver_sandstone", "vox_core:silver_sandstone")
core.register_alias("default:silver_sandstone", "vox_core:silver_sandstone")

-- Silver Sandstone Brick
core.register_node("vox_core:silver_sandstone_brick", {
    description = "Silver Sandstone Brick",
    tiles = {"default_silver_sandstone_brick.png"},
	is_ground_content = false,
	groups = {cracky = 2},
	--sounds = vox_core.node_sound_stone_defaults(),
})
core.register_alias("silver_sandstone_brick", "vox_core:silver_sandstone_brick")
core.register_alias("default:silver_sandstone_brick", "vox_core:silver_sandstone_brick")


-- Clay
core.register_node("vox_core:clay", {
    description = "Clay",
    tiles = {"default_clay.png"},
    groups = {crumbly = 3}
})
core.register_alias("clay", "vox_core:clay")
core.register_alias("default:clay", "vox_core:clay")

-- Hardened Clay
core.register_node("vox_core:hardened_clay", {
    description = "Hardened Clay",
    tiles = {"vox_hardened_clay.png"},
    groups = {cracky = 2}
})
core.register_alias("hardened_clay", "vox_core:hardened_clay")
core.register_alias("default:hardened_clay", "vox_core:hardened_clay")

-- Mud
core.register_node("vox_core:mud", {
    description = "Mud",
    tiles = {"vox_mud.png"},
    groups = {crumbly = 3}
})
core.register_alias("mud", "vox_core:mud")

-- Salt Crystal
core.register_node("vox_core:salt_crystal", {
    description = "Salt Crystal",
    tiles = {"vox_salt_crystal.png"},
    groups = {cracky = 2}
})
core.register_alias("salt_crystal", "vox_core:salt_crystal")

-- Volcanic Rock
core.register_node("vox_core:volcanic_rock", {
    description = "Volcanic Rock",
    tiles = {"vox_volcanic_rock.png"},
    groups = {cracky = 3}
})
core.register_alias("volcanic_rock", "vox_core:volcanic_rock")

-- EVEN MORE ROCKS!!!

-- Granite
core.register_node("vox_core:granite", {
    description = "Granite",
    tiles = {"vox_granite.png"},
    groups = {cracky = 2}
})
core.register_alias("granite", "vox_core:granite")
core.register_alias("default:granite", "vox_core:granite")

-- Diorite
core.register_node("vox_core:diorite", {
    description = "Diorite",
    tiles = {"vox_diorite.png"},
    groups = {cracky = 2}
})
core.register_alias("diorite", "vox_core:diorite")
core.register_alias("default:diorite", "vox_core:diorite")

-- Andesite
core.register_node("vox_core:andesite", {
    description = "Andesite",
    tiles = {"vox_andesite.png"},
    groups = {cracky = 2}
})
core.register_alias("andesite", "vox_core:andesite")
core.register_alias("default:andesite", "vox_core:andesite")

-- Basalt
core.register_node("vox_core:basalt", {
    description = "Basalt",
    tiles = {"vox_basalt.png"},
    groups = {cracky = 2}
})
core.register_alias("basalt", "vox_core:basalt")
core.register_alias("default:basalt", "vox_core:basalt")

-- Obsidian
core.register_node("vox_core:obsidian", {
    description = "Obsidian",
	tiles = {"default_obsidian.png"},
	--sounds = vox_core.node_sound_stone_defaults(),
	groups = {cracky = 1, level = 2},
})
core.register_alias("obsidian", "vox_core:obsidian")
core.register_alias("default:obsidian", "vox_core:obsidian")

-- Obsidian Brick
core.register_node("vox_core:obsidian_brick", {
    description = "Obsidian Brick",
	paramtype2 = "facedir",
	place_param2 = 0,
	tiles = {"default_obsidian_brick.png"},
	is_ground_content = false,
	--sounds = vox_core.node_sound_stone_defaults(),
	groups = {cracky = 1, level = 2},
})
core.register_alias("obsidian_brick", "vox_core:obsidian_brick")
core.register_alias("default:obsidianbrick", "vox_core:obsidian_brick")

-- Obsidian Block
core.register_node("vox_core:obsidian_block", {
    description = "Obsidian Block",
    tiles = {"default_obsidian_block.png"},
	is_ground_content = false,
	--sounds = vox_core.node_sound_stone_defaults(),
	groups = {cracky = 1, level = 2},
})
core.register_alias("obsidian_block", "vox_core:obsidian_block")
core.register_alias("default:obsidian_block", "vox_core:obsidian_block")



-- Marble
core.register_node("vox_core:marble", {
    description = "Marble",
    tiles = {"vox_marble.png"},
    groups = {cracky = 2}
})
core.register_alias("marble", "vox_core:marble")
core.register_alias("default:marble", "vox_core:marble")

-- Chalk
core.register_node("vox_core:chalk", {
    description = "Chalk",
    tiles = {"vox_chalk.png"},
    groups = {cracky = 2}
})
core.register_alias("chalk", "vox_core:chalk")
core.register_alias("default:chalk", "vox_core:chalk")

-- Limestone
core.register_node("vox_core:limestone", {
    description = "Limestone",
    tiles = {"vox_limestone.png"},
    groups = {cracky = 2}
})
core.register_alias("limestone", "vox_core:limestone")
core.register_alias("default:limestone", "vox_core:limestone")